Summary: Hungarian files for aspell
Name: aspell-hu
Version: 0.3
Release: 0
Copyright: Public Domain
Group: Applications/Text
Source: http://prdownloads.sourceforge.net/wordlist-hu/wordlist-hu-%{version}.tar.bz2
URL: http://wordlist-hu.sourceforge.net
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell

%description
A Hungarian dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n wordlist-hu-%{version}

%build
cp /usr/share/aspell/iso8859-2.dat .
echo -e "name\tmagyar\ncharset\tiso8859-2\nspecial -\t-*-" > magyar.dat
make wordlist
LC_CTYPE=hu_HU aspell --lang=magyar --data-dir=. create master ./magyar < wordlist

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/pspell

install -m 0644 magyar.dat $RPM_BUILD_ROOT/usr/share/aspell
install -m 0644 magyar $RPM_BUILD_ROOT/usr/lib/aspell
ln -s magyar $RPM_BUILD_ROOT/usr/lib/aspell/hungarian
echo "/usr/lib/aspell/magyar" > $RPM_BUILD_ROOT/usr/share/pspell/hu-aspell.pwli


%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.hu README.en
/usr/lib/aspell/*
/usr/share/aspell/*
/usr/share/pspell/

%changelog
* Wed Dec 05 2001 Keve Mller <keve@keve.hu>
- first RPM
